USE SDABE
GO

/******** SQL script for SDA v5295 03/01/2017 **********/
--This includes all changes for v5285-5295

/****** Object:  Table [dbo].[tblSystemErrorLog]    Script Date: 15/11/2016 20:54:17 ******/
--create new table
IF NOT EXISTS (
    SELECT * FROM sys.objects 
    WHERE object_id = OBJECT_ID(N'[dbo].[tblSystemErrorLog]') AND type in (N'U')
)
	BEGIN
		CREATE TABLE [dbo].[tblSystemErrorLog](
			[ID] [int] IDENTITY(1,1) NOT NULL,
			[TeacherID] [nvarchar](5) NULL,
			[DateTimeStamp] [datetime] NULL,
			[ItemNumber] [nvarchar](10) NULL,
			[ItemType] [nvarchar](50) NULL,
			[ItemName] [nvarchar](50) NULL,
			[ProcedureName] [nvarchar](100) NULL,
			[Error] [float] NULL,
			[Description] [ntext] NULL,
			[LoginID] [int] NULL,
			[WorkStationID] [nvarchar](30) NULL,
			[SDAVersion] [nvarchar](50) NULL,
			[AccessVersion] [nvarchar](100) NULL,
		 CONSTRAINT [PK_tblSystemErrorLog] PRIMARY KEY CLUSTERED 
		(
			[ID] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
		) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
		
		ALTER TABLE [dbo].[tblSystemErrorLog]  WITH CHECK ADD  CONSTRAINT [FK_tblSystemErrorLog_tblSystemErrorLog] FOREIGN KEY([ID])
		REFERENCES [dbo].[tblSystemErrorLog] ([ID])

		ALTER TABLE [dbo].[tblSystemErrorLog] CHECK CONSTRAINT [FK_tblSystemErrorLog_tblSystemErrorLog]

		ALTER TABLE [dbo].[tblSystemErrorLog]  WITH CHECK ADD  CONSTRAINT [FK_tblSystemErrorLog_WhoseOn] FOREIGN KEY([LoginID])
		REFERENCES [dbo].[WhoseOn] ([LogInID])
		ON UPDATE CASCADE
		ON DELETE CASCADE
	END
GO

/****** Object:  Table [dbo].[Teachers]    Script Date: 29/12/2016 19:47:01 ******/
--add new field if it doesn't exist
IF NOT EXISTS (
  SELECT * 
  FROM   sys.columns 
  WHERE  object_id = OBJECT_ID(N'[dbo].[Teachers]') 
         AND name = 'ShowHomePageTips'
)
	BEGIN
		ALTER TABLE [dbo].[Teachers] ADD [ShowHomePageTips] [bit] NOT NULL CONSTRAINT [DF_Teachers_ShowHomePageTips]  DEFAULT ((-1))
	END
GO


/****** Object:  Table [dbo].[tblHomePageTips]    Script Date: 29/12/2016 18:54:58 ******/
--create new table
IF NOT EXISTS (
    SELECT * FROM sys.objects 
    WHERE object_id = OBJECT_ID(N'[dbo].[tblHomePageTips]') AND type in (N'U')
)
	BEGIN
		SET ANSI_NULLS ON

		SET QUOTED_IDENTIFIER ON

		SET ANSI_PADDING ON

		CREATE TABLE [dbo].[tblHomePageTips](
			[ID] [int] NOT NULL,
			[TipArea] [varchar](50) NULL,
			[TipText] [varchar](max) NULL,
		 CONSTRAINT [PK_tblHomePageTips] PRIMARY KEY CLUSTERED 
		(
			[ID] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
		) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
	END

	SET ANSI_PADDING OFF
	GO


/****** Object:  Table [dbo].[tblCVAYearGroupSummary]    Script Date: 03/01/2017 17:15:58 ******/
--delete table if it exists
IF EXISTS (
    SELECT * FROM sys.objects 
    WHERE object_id = OBJECT_ID(N'[dbo].[tblCVAYearGroupSummary]') AND type in (N'U')
)
	BEGIN
		DROP TABLE [dbo].[tblCVAYearGroupSummary]
	END
GO

/***** Update registry key to latest version *****/
--EXECUTE master.dbo.xp_regwrite 'hKey','Key Name','String Value','Data type', 'Value to write'
EXECUTE MASTER.dbo.xp_regwrite 
	'HKEY_CURRENT_USER',
	'Software\Mendip Data Systems\School Data Analyser',
	'Latest SQL Server Script run',
	'REG_SZ',
	'5295'                